org.deidentifier.arx.framework.check.groupify

## Interface HashGroupifyDistribution.PrivacyCondition

Enclosing class:
  HashGroupifyDistribution

    public static interface HashGroupifyDistribution.PrivacyCondition

A condition that may or may not be fulfilled for the distribution

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `HashGroupifyDistribution.PrivacyCondition.State` The current state of the search condition

### Method Summary

All Methods Instance Methods Abstract Methods
`HashGroupifyDistribution.PrivacyCondition.State` `isFulfilled(HashGroupifyDistribution distribution)` Evaluates the condition on the given distribution

### Method Detail

#### isFulfilled

    HashGroupifyDistribution.PrivacyCondition.State isFulfilled(HashGroupifyDistribution distribution)

Evaluates the condition on the given distribution

Parameters:
  `distribution` -
Returns: